Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface CachingRealmMBean

public interface CachingRealmMBean
extends ConfigurationMBean

This mbean represents CachingRealm's configuration properties. This mbean is used to specify an alternate realm to the FileRealm. This mbean is associated with the RealmMBean. If this mbean is not created, then only the FileRealm is used.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`boolean` | `getACLCacheEnable()` Set true if ACL cache is enabled.
`int` | `getACLCacheSize()` ACL cache size (should be a prime number)
`int` | `getACLCacheTTLNegative()` ACL negative time-to-live in seconds
`int` | `getACLCacheTTLPositive()` ACL positive time-to-live in seconds
`boolean` | `getAuthenticationCacheEnable()` Set true if authentication cache is enabled.
`int` | `getAuthenticationCacheSize()` Authentication cache size (should be a prime number)
`int` | `getAuthenticationCacheTTLNegative()` Authentication negative time-to-live in seconds
`int` | `getAuthenticationCacheTTLPositive()` Authentication positive time-to-live in seconds
`BasicRealmMBean` | `getBasicRealm()` Specifies the alternative realm to use This is mandatory
`boolean` | `getCacheCaseSensitive()` Set true if the user names are case sensitive.
`boolean` | `getGroupCacheEnable()` Set true if group cache is enabled.
`int` | `getGroupCacheSize()` Group cache size (should be a prime number)
`int` | `getGroupCacheTTLNegative()` Group negative time-to-live in seconds
`int` | `getGroupCacheTTLPositive()` Group positive time-to-live in seconds
`int` | `getGroupMembershipCacheTTL()` Group membership cache time-to-live in seconds
`boolean` | `getPermissionCacheEnable()` Set true if permission cache is enabled.
`int` | `getPermissionCacheSize()` Permission cache size (should be a prime number)
`int` | `getPermissionCacheTTLNegative()` Permission negative time-to-live in seconds
`int` | `getPermissionCacheTTLPositive()` Permission positive time-to-live in seconds
`boolean` | `getUserCacheEnable()` Set true if user cache is enabled.
`int` | `getUserCacheSize()` User cache size (should be a prime number)
`int` | `getUserCacheTTLNegative()` User negative time-to-live in seconds
`int` | `getUserCacheTTLPositive()` User positive time-to-live in seconds
`void` | `setACLCacheEnable(boolean enable)`
`void` | `setACLCacheSize(int size)`
`void` | `setACLCacheTTLNegative(int seconds)`
`void` | `setACLCacheTTLPositive(int seconds)`
`void` | `setAuthenticationCacheEnable(boolean enable)`
`void` | `setAuthenticationCacheSize(int size)`
`void` | `setAuthenticationCacheTTLNegative(int seconds)`
`void` | `setAuthenticationCacheTTLPositive(int seconds)`
`void` | `setBasicRealm(BasicRealmMBean basicRealm)`
`void` | `setCacheCaseSensitive(boolean sensitive)`
`void` | `setGroupCacheEnable(boolean enable)`
`void` | `setGroupCacheSize(int size)`
`void` | `setGroupCacheTTLNegative(int seconds)`
`void` | `setGroupCacheTTLPositive(int seconds)`
`void` | `setGroupMembershipCacheTTL(int seconds)`
`void` | `setPermissionCacheEnable(boolean enable)`
`void` | `setPermissionCacheSize(int size)`
`void` | `setPermissionCacheTTLNegative(int seconds)`
`void` | `setPermissionCacheTTLPositive(int seconds)`
`void` | `setUserCacheEnable(boolean enable)`
`void` | `setUserCacheSize(int size)`
`void` | `setUserCacheTTLNegative(int seconds)`
`void` | `setUserCacheTTLPositive(int seconds)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getBasicRealm

    public BasicRealmMBean getBasicRealm()

  Specifies the alternative realm to use This is mandatory

  Legal NULL: false

### setBasicRealm

    public void setBasicRealm(BasicRealmMBean basicRealm)
                       throws javax.management.InvalidAttributeValueException

### getCacheCaseSensitive

    public boolean getCacheCaseSensitive()

  Set true if the user names are case sensitive. False if case insensitive

  Default Value: true
  Old Property: weblogic.security.realm.cache.caseSensitive

### setCacheCaseSensitive

    public void setCacheCaseSensitive(boolean sensitive)

### getACLCacheEnable

    public boolean getACLCacheEnable()

  Set true if ACL cache is enabled.

  Default Value: true
  Old Property: weblogic.security.realm.cache.acl.enable

### setACLCacheEnable

    public void setACLCacheEnable(boolean enable)

### getAuthenticationCacheEnable

    public boolean getAuthenticationCacheEnable()

  Set true if authentication cache is enabled.

  Default Value: true
  Old Property: weblogic.security.realm.cache.auth.enable

### setAuthenticationCacheEnable

    public void setAuthenticationCacheEnable(boolean enable)

### getGroupCacheEnable

    public boolean getGroupCacheEnable()

  Set true if group cache is enabled.

  Default Value: true
  Old Property: weblogic.security.realm.cache.group.enable

### setGroupCacheEnable

    public void setGroupCacheEnable(boolean enable)

### getPermissionCacheEnable

    public boolean getPermissionCacheEnable()

  Set true if permission cache is enabled.

  Default Value: true
  Old Property: weblogic.security.realm.cache.perm.enable

### setPermissionCacheEnable

    public void setPermissionCacheEnable(boolean enable)

### getUserCacheEnable

    public boolean getUserCacheEnable()

  Set true if user cache is enabled.

  Default Value: true
  Old Property: weblogic.security.realm.cache.user.enable

### setUserCacheEnable

    public void setUserCacheEnable(boolean enable)

### getACLCacheSize

    public int getACLCacheSize()

  ACL cache size (should be a prime number)

  Default Value: 211
  Old Property: weblogic.security.realm.cache.acl.size
  Legal Minimum Value: 17
  Legal Maximum Value: 65537

### setACLCacheSize

    public void setACLCacheSize(int size)
                         throws javax.management.InvalidAttributeValueException

### getAuthenticationCacheSize

    public int getAuthenticationCacheSize()

  Authentication cache size (should be a prime number)

  Default Value: 211 (WHAT IS THE UNIT for the value?)
  Old Property: weblogic.security.realm.cache.auth.size
  Legal Minimum Value: 17
  Legal Maximum Value: 65537

### setAuthenticationCacheSize

    public void setAuthenticationCacheSize(int size)
                                    throws javax.management.InvalidAttributeValueException

### getGroupCacheSize

    public int getGroupCacheSize()

  Group cache size (should be a prime number)

  Default Value: 211 (WHAT IS THE UNIT for the value?)
  Old Property: weblogic.security.realm.cache.group.size
  Legal Minimum Value: 17
  Legal Maximum Value: 65537

### setGroupCacheSize

    public void setGroupCacheSize(int size)
                           throws javax.management.InvalidAttributeValueException

### getPermissionCacheSize

    public int getPermissionCacheSize()

  Permission cache size (should be a prime number)

  Default Value: 211 (WHAT IS THE UNIT for the value?)
  Old Property: weblogic.security.realm.cache.perm.size
  Legal Minimum Value: 17
  Legal Maximum Value: 65537

### setPermissionCacheSize

    public void setPermissionCacheSize(int size)
                                throws javax.management.InvalidAttributeValueException

### getUserCacheSize

    public int getUserCacheSize()

  User cache size (should be a prime number)

  Default Value: 211 (WHAT IS THE UNIT for the value?)
  Old Property: weblogic.security.realm.cache.user.size
  Legal Minimum Value: 17
  Legal Maximum Value: 65537

### setUserCacheSize

    public void setUserCacheSize(int size)
                          throws javax.management.InvalidAttributeValueException

### getACLCacheTTLPositive

    public int getACLCacheTTLPositive()

  ACL positive time-to-live in seconds

  Default Value: 60
  Old Property: weblogic.security.realm.cache.acl.ttl.positive
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### setACLCacheTTLPositive

    public void setACLCacheTTLPositive(int seconds)
                                throws javax.management.InvalidAttributeValueException

### getGroupCacheTTLPositive

    public int getGroupCacheTTLPositive()

  Group positive time-to-live in seconds

  Default Value: 60
  Old Property: weblogic.security.realm.cache.group.ttl.positive
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### setGroupCacheTTLPositive

    public void setGroupCacheTTLPositive(int seconds)
                                  throws javax.management.InvalidAttributeValueException

### getAuthenticationCacheTTLPositive

    public int getAuthenticationCacheTTLPositive()

  Authentication positive time-to-live in seconds

  Default Value: 60
  Old Property: weblogic.security.realm.cache.auth.ttl.positive
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### setAuthenticationCacheTTLPositive

    public void setAuthenticationCacheTTLPositive(int seconds)
                                           throws javax.management.InvalidAttributeValueException

### getPermissionCacheTTLPositive

    public int getPermissionCacheTTLPositive()

  Permission positive time-to-live in seconds

  Default Value: 60
  Old Property: weblogic.security.realm.cache.perm.ttl.positive
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### setPermissionCacheTTLPositive

    public void setPermissionCacheTTLPositive(int seconds)
                                       throws javax.management.InvalidAttributeValueException

### getUserCacheTTLPositive

    public int getUserCacheTTLPositive()

  User positive time-to-live in seconds

  Default Value: 60
  Old Property: weblogic.security.realm.cache.user.ttl.positive
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### setUserCacheTTLPositive

    public void setUserCacheTTLPositive(int seconds)
                                 throws javax.management.InvalidAttributeValueException

### getACLCacheTTLNegative

    public int getACLCacheTTLNegative()

  ACL negative time-to-live in seconds

  Default Value: 10
  Old Property: weblogic.security.realm.cache.acl.ttl.negative
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### setACLCacheTTLNegative

    public void setACLCacheTTLNegative(int seconds)
                                throws javax.management.InvalidAttributeValueException

### getGroupCacheTTLNegative

    public int getGroupCacheTTLNegative()

  Group negative time-to-live in seconds

  Default Value: 10
  Old Property: weblogic.security.realm.cache.group.ttl.negative
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### setGroupCacheTTLNegative

    public void setGroupCacheTTLNegative(int seconds)
                                  throws javax.management.InvalidAttributeValueException

### getAuthenticationCacheTTLNegative

    public int getAuthenticationCacheTTLNegative()

  Authentication negative time-to-live in seconds

  Default Value: 10
  Old Property: weblogic.security.realm.cache.auth.ttl.negative
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### setAuthenticationCacheTTLNegative

    public void setAuthenticationCacheTTLNegative(int seconds)
                                           throws javax.management.InvalidAttributeValueException

### getPermissionCacheTTLNegative

    public int getPermissionCacheTTLNegative()

  Permission negative time-to-live in seconds

  Default Value: 10
  Old Property: weblogic.security.realm.cache.perm.ttl.negative
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### setPermissionCacheTTLNegative

    public void setPermissionCacheTTLNegative(int seconds)
                                       throws javax.management.InvalidAttributeValueException

### getUserCacheTTLNegative

    public int getUserCacheTTLNegative()

  User negative time-to-live in seconds

  Default Value: 10
  Old Property: weblogic.security.realm.cache.user.ttl.negative
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### setUserCacheTTLNegative

    public void setUserCacheTTLNegative(int seconds)
                                 throws javax.management.InvalidAttributeValueException

### getGroupMembershipCacheTTL

    public int getGroupMembershipCacheTTL()

  Group membership cache time-to-live in seconds

  Default Value: 300
  Old Property: weblogic.security.groupCacheTTL
  Legal Minimum Value: 1

### setGroupMembershipCacheTTL

    public void setGroupMembershipCacheTTL(int seconds)
                                    throws javax.management.InvalidAttributeValueException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD